#
# spec file for package pam_kwallet (Version 0.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pam_kwallet
BuildRequires:  kdelibs3-devel pam-devel
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Summary:        KWallet Single Sign On Integration
Version:        0.1
Release:        lp150.84.1
Url:            http://www.kde.org
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name.tar.bz2

%description
This package uses your login password to open your KDE KWallet during
session start.



Authors:
--------
    Dirk Mueller <dmueller@suse.de>

%prep
%setup -n %name -q
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde
make 

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT PAM_MODDIR=/%{_lib}/security $INSTALL_TARGET
rm -f $RPM_BUILD_ROOT/%{_lib}/security/*.la
kde_post_install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc README
/opt/kde3/bin/kwalletclient
/%{_lib}/security/pam_kwallet.so

%changelog
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Dec  5 2007 dmueller@suse.de
- fix hardcoded path to /opt/kde3/bin
* Mon Oct 15 2007 dmueller@suse.de
- reduce buildrequires
* Wed Jun 27 2007 dmueller@suse.de
- Initial package (0.1)
